### Method

# Vips Image get_filename

#### Declaration [src]

    const char*
    vips_image_get_filename (
      const VipsImage* image
    )

#### Description

No description available.

Gets property | `Vips.Image:filename`

#### Return value

Type: `const char*`

The name of the file the image was loaded from, or `NULL` if there is no filename.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.